Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.sql
Interface SQLData

public interface SQLData

The interface used for the custom mapping of SQL user-defined types. This interface must be implemented by any Java class that is registered in a type mapping. It is expected that this interface will normally be implemented by a tool. The methods in this interface are called by the driver and are never called by a programmer directly.

Since:
  1.2
See Also:
  What Is in the JDBC 2.0 API

Method Summary
`String` | `getSQLTypeName()` Returns the fully-qualified name of the SQL user-defined type that this object represents.
`void` | `readSQL(SQLInput stream, String typeName)` Populates this object with data read from the database.
`void` | `writeSQL(SQLOutput stream)` Writes this object to the given SQL data stream, converting it back to its SQL value in the data source.

Method Detail

### getSQLTypeName

    public String getSQLTypeName()
                          throws SQLException

  Returns the fully-qualified name of the SQL user-defined type that this object represents. This method is called by the JDBC driver to get the name of the UDT instance that is being mapped to this instance of `SQLData`.
  Returns:
    the type name that was passed to the method `readSql` when this object was constructed and populated
  Throws:
    `SQLException` - if there is a database access error
  Since:
    1.2
  See Also:
    What Is in the JDBC 2.0 API

### readSQL

    public void readSQL(SQLInput stream,
                        String typeName)
                 throws SQLException

  Populates this object with data read from the database. The implementation of the method must follow this protocol:
  - It must read each of the attributes or elements of the SQL type from the given input stream. This is done by calling a method of the input stream to read each item, in the order that they appear in the SQL definition of the type.
  - The method `readSQL` then assigns the data to appropriate fields or elements (of this or other objects). Specifically, it must call the appropriate `SQLInput.readXXX` method(s) to do the following: for a distinct type, read its single data element; for a structured type, read a value for each attribute of the SQL type.
  The JDBC driver initializes the input stream with a type map before calling this method, which is used by the appropriate `SQLInput.readXXX` method on the stream.
  Parameters:
    `stream` - the `SQLInput` object from which to read the data for the value that is being custom mapped
    `typeName` - the SQL type name of the value on the data stream
  Throws:
    `SQLException` - if there is a database access error
  See Also:
    `SQLInput`

### writeSQL

    public void writeSQL(SQLOutput stream)
                  throws SQLException

  Writes this object to the given SQL data stream, converting it back to its SQL value in the data source. The implementation of the method must follow this protocol:
  It must write each of the attributes of the SQL type to the given output stream. This is done by calling a method of the output stream to write each item, in the order that they appear in the SQL definition of the type. Specifically, it must call the appropriate `SQLOutput.writeXXX` method(s) to do the following: for a Distinct Type, write its single data element; for a Structured Type, write a value for each attribute of the SQL type.
  Parameters:
    `stream` - the `SQLOutput` object to which to write the data for the value that was custom mapped
  Throws:
    `SQLException` - if there is a database access error
  Since:
    1.2
  See Also:
    `SQLOutput`, What Is in the JDBC 2.0 API

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.